{% extends 'base.html.twig' %}
{% block title %}Configuration{% endblock %}

{% block body %}

    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}
    <td>
        {% if  configurations|length  == 0 %}
            <a>
                <button class="btn btn-success btn_new_configuration" url="{{ path('configuration_new') }}"><span
                            class="glyphicon glyphicon-plus" title="Ajouter"> Ajouter</span></button>
            </a>
        {% endif %}

    </td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Configuration </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th>Nom prenom doyen</th>
                    <th>Adresse</th>
                    <th>Telephone faculter</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for configuration in configurations %}
                    <tr>
                        <td>{{ configuration.nomprenomdoyen }}</td>
                        <td>{{ configuration.adresse }}</td>
                        <td>{{ configuration.Telfaculter }}</td>
                        <td>
                            <a>
                                <button class="btn btn-success btn_edit_configuration"
                                        url="{{ path('configuration_edit', {'id': configuration.id}) }}"><span
                                            class="glyphicon glyphicon-plus" title="Modifier"> Modifier</span></button>
                            </a>
                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="5">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
    <div class="modal fade" id="modalConfiguration" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header text-center">
                    <h4 class="modal-title w-100 font-weight-bold titre_modal_configuration"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="text-center">
                        <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                    </div>
                    <div class="content_modal_body">
                    </div>
                </div>
                <div class="modal-footer">

                </div>
            </div>
        </div>
    </div>
    </div>
    </div>
{% endblock %}
{% block mesJavascripts %}
    <script>
        $('body').on('click', '.btn_new_configuration', function (event) {
            $('#modalConfiguration').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_configuration').html('Ajouter configuration');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.save_configuration', function (event) {

            var form = $('#form_add_configuration');
            var formData = new FormData(document.getElementById("form_add_configuration"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_configuration').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalConfiguration').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.btn_edit_configuration', function (event) {
            $('#modalConfiguration').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_configuration').html('Modifier Configuration');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.edit_configuration', function (event) {

            var form = $('#form_add_configuration');
            var formData = new FormData(document.getElementById("form_add_configuration"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_configuration').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalConfiguration').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
    </script>
{% endblock %}